Subject: Re: bug#54629: 29.0.50; Emacs crashes when I try to move scroll bar by grabbing it with mouse

From: Po Lu <[email-masked]>
Date: Wed, 30 Mar 2022 10:12:43 +0800

Eric Spero <[email-masked]> writes:

> Hello,
>
> No, I use OpenRC unfortunately.
>
> And I actually just managed to fix it with the "toolkit-tool-bar" use
> flag:
>
>  + + toolkit-scroll-bars : Use the selected toolkit's scrollbars in
>  preference to Emacs' own scrollbars
>
> I probably should have looked for this before filing the bug report,
> but perhaps it's a bug nonetheless?
>
> Eric

That's odd, since PGTK doesn't support non-toolkit scroll bars at all.
IOW, that flag should not do anything there.

So please run Emacs under GDB, reproduce the bug, and send the resulting
backtrace here, like this:

  $ gdb path/to/emacs
  (gdb) run -Q
  (gdb) bt